Create a pricing plan schedule

Requires the PRICING_PLAN_SCHEDULE.CREATE or QUOTE.PRICING_PLAN_SCHEDULE.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
set_previous_end_atbooleanOptional

Setting the value to true will set the end_at of the previous schedule to the start_at of this schedule. Mutually exclusive with set_next_start_at

set_next_start_atbooleanOptional

Setting the value to true will set the start_at of the next schedule to the end_at of this schedule. Mutually exclusive with set_previous_end_at

Request

This endpoint expects an object.
typeenum or nullOptional
The type of the pricing plan schedule.
statusenum or nullOptional
The status of the pricing plan schedule. Defaults to ACTIVE.
pricing_plan_subscription_idstringOptional

Resource ID of type PRICING_PLAN_SUBSCRIPTION

pricing_plan_idstring or nullOptional
The resource ID of the pricing plan.
pricing_plan_version_idstring or nullOptional
The resource ID of the pricing plan version.
pricing_plan_version_selectorobjectOptional

Instead of the pricing_plan_version_id, during creation, a selector can be submitted to determine the pricing plan version.

start_atdatetimeOptional
end_atdatetime or nullOptional
pricing_currencyenum or nullOptional
The default alphabetic currency code representing the type of currency used for the pricing.
billing_periodobjectOptional
entitlementslist of objects or nullOptional
discountobjectOptional
markupobjectOptional
commitmentobjectOptional
coupon_discountobject or nullOptional
couponslist of objects or nullOptional
seats_valueslist of objects or nullOptional
included_volumeslist of objects or nullOptional
enabled_pricingslist of objects or nullOptional
override_pricingslist of objects or nullOptional
pricing_categorieslist of objects or nullOptional

Pricing defined directly on this schedule, in addition to (or instead of) a linked pricing plan version / rate-card.

combined_pricing_plan_versionobject or nullOptional
realign_invoice_date_to_pricing_plan_schedule_start_atboolean or nullOptional
promotion_codeslist of strings or nullOptionalDeprecated
coupon_idslist of strings or nullOptionalDeprecated

Response

Created
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
typeenum or nullOptional
The type of the pricing plan schedule.
statusenum or nullOptional
The status of the pricing plan schedule. Defaults to ACTIVE.
approval_statusenum or nullOptionalRead-only
Approval status for schedules that are associated with an approval request
pricing_plan_subscription_idstringOptional

Resource ID of type PRICING_PLAN_SUBSCRIPTION

pricing_plan_idstring or nullOptional
The resource ID of the pricing plan.
pricing_plan_version_idstring or nullOptional
The resource ID of the pricing plan version.
pricing_plan_version_selectorobjectOptional

Instead of the pricing_plan_version_id, during creation, a selector can be submitted to determine the pricing plan version.

start_atdatetimeOptional
end_atdatetime or nullOptional
pricing_currencyenum or nullOptional
The default alphabetic currency code representing the type of currency used for the pricing.
billing_periodobjectOptional
entitlementslist of objects or nullOptional
discountobjectOptional
markupobjectOptional
commitmentobjectOptional
coupon_discountobject or nullOptional
couponslist of objects or nullOptional
seats_valueslist of objects or nullOptional
included_volumeslist of objects or nullOptional
enabled_pricingslist of objects or nullOptional
override_pricingslist of objects or nullOptional
pricing_categorieslist of objects or nullOptional

Pricing defined directly on this schedule, in addition to (or instead of) a linked pricing plan version / rate-card.

combined_pricing_plan_versionobject or nullOptional
realign_invoice_date_to_pricing_plan_schedule_start_atboolean or nullOptional
created_atstring or nullOptionalRead-only
updated_atstring or nullOptionalRead-only
is_currentboolean or nullOptionalRead-only

Whether this schedule is currently in effect, based on its start_at/end_at and ACTIVE status.

promotion_codeslist of strings or nullOptionalDeprecated
coupon_idslist of strings or nullOptionalDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error